<?php
/**
 * JE GroupBuy package
 * @author J-Extension <contact@jextn.com>
 * @link http://www.jextn.com
 * @copyright (C) 2011 - 2012 J-Extension
 * @license GNU/GPL, see LICENSE.php for full license.
**/

defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

/**
 * Supports a modal article picker.
 *
 * @package		Joomla.Administrator
 * @subpackage	com_content
 * @since		1.6
 */

 class JFormFieldCurrency extends JFormFieldList
{
	/**
	 * @var    string	The form field type.
	 * @since  11.1
	 */
	public $type = 'currency';

	protected function getOptions()
	{
		// Initialize variables.
		
		$options = array();

		$options = array(
				JHTML::_('select.option', '&#36',JText::_('JEGROUPBUY_DOLLAR')),
				JHTML::_('select.option', '&#163',JText::_('JEGROUPBUY_POUNDS')),
				JHTML::_('select.option', '&#165',JText::_('JEGROUPBUY_YEN')),
				JHTML::_('select.option', '&#128',JText::_('JEGROUPBUY_EURO')),
				JHTML::_('select.option', '&#8377',JText::_('JEGROUPBUY_RUPEE')),
				JHTML::_('select.option', '&#36',JText::_('JEGROUPBUY_AUD')),
				JHTML::_('select.option', '&#36',JText::_('JEGROUPBUY_CAD')),
				JHTML::_('select.option', '&#36',JText::_('JEGROUPBUY_NZD')),
				JHTML::_('select.option', '&#67&#72&#70',JText::_('JEGROUPBUY_CHF')),
				JHTML::_('select.option', '&#36',JText::_('JEGROUPBUY_HKD')),
				JHTML::_('select.option', '&#163',JText::_('JEGROUPBUY_SGD')),
				JHTML::_('select.option', '&#107&#114',JText::_('JEGROUPBUY_SEK')),
				JHTML::_('select.option', '&#107&#114',JText::_('JEGROUPBUY_DKK')),
				JHTML::_('select.option', '&#122&#322',JText::_('JEGROUPBUY_PLN')),
				JHTML::_('select.option', '&#107&#114',JText::_('JEGROUPBUY_NOK')),
				JHTML::_('select.option', '&#70&#116',JText::_('JEGROUPBUY_HUF')),
				JHTML::_('select.option', '&#75&#269',JText::_('JEGROUPBUY_CZK')),
				JHTML::_('select.option', '&#8362',JText::_('JEGROUPBUY_ISL')),
				JHTML::_('select.option', '&#36',JText::_('JEGROUPBUY_MXN')),
				JHTML::_('select.option', '&#82&#36',JText::_('JEGROUPBUY_BRL')),
				JHTML::_('select.option', '&#82&#77',JText::_('JEGROUPBUY_MYR')),
				JHTML::_('select.option', '&#8369',JText::_('JEGROUPBUY_PHP')),
				JHTML::_('select.option', '&#78&#84&#36',JText::_('JEGROUPBUY_TWD')),
				JHTML::_('select.option', '&#3647',JText::_('JEGROUPBUY_THB')),
				JHTML::_('select.option', '&#8356',JText::_('JEGROUPBUY_TRY'))
		);


		return $options;
	}
}